<?php
header("Access-Control-Allow-Origin: *");
include '../config.php';
//ini_set('display_errors', 1);
//ini_set('display_startup_errors', 1);
//error_reporting(E_ALL);
$q = $_GET['q'];
$lang = $_GET['lang'];

if($lang == "es"){
    $btnbuscarotro = "Buscar Otro";
    $btnpdf ="Generar PDF";

}
if($lang == "en"){
    $btnbuscarotro = "New search";
    $btnpdf ="Generate PDF";

}
$csv = array_map('str_getcsv', file('https://cloudfront.indeval.com.mx/privado/isin/es/Archivo_ISINes.csv'));
$csv2 = array_map('str_getcsv', file('https://cloudfront.indeval.com.mx/privado/isin/es/tipos_valor.csv'));

//echo $q;
$count =0;
$isinarray = array();
foreach($csv as $location => $data)
{

    $isin = $data[0];


    if(strlen($q)>5){
        
        $isin = trim($isin);

        if (strpos($isin, '"') !== false) {
            
        }
        else{
            $newisin = '{value: "'.$isin.'",label: "'.$isin.'"}';
            array_push($isinarray,$newisin);
        }
        

        if($isin == $q){
            $count++;

            $isin = $data[0];
            $tipovalor =$data[1];
            $emisora = $data[2];
            $serie = $data[3];
            $custodio = $data[4];
            $valornominal = $data[5];
            $razonsocial = $data[6]; 
            $stampduty = $data[7];
            $multiplooperable = $data[8];
            $montominimooperable = $data[9];
            $mercadodepositario = $data[10];
            $operacionesbridge = $data[11];
            $mercadolocal = $data[12];
            $liquidacionremotecode = $data[13];
    
            /*
            echo '  "isin" => "' . $data[0] . '",<br>';
            echo '  "tipovalor" => "' . $data[1] . '",<br>';
            echo '  "emisora" => "' . $data[2] . '",<br>';
            echo '  "serie" => "' . $data[3] . '",<br>';
            echo '  "custodio" => "' . $data[4] . '",<br>';
            echo '  "valornominal" => "' . $data[5] . '"<br>';
            echo '  "razonsocial" => "' . $data[6] . '"<br>'; 
            echo '  "stampduty" => "' . $data[7] . '",<br>';
            echo '  "multiplooperable" => "' . $data[8] . '",<br>';
            echo '  "montominimooperable" => "' . $data[9] . '",<br>';
            echo '  "mercadodepositario" => "' . $data[10] . '",<br>';
            echo '  "operacionesbridge" => "' . $data[11] . '",<br>';
            echo '  "mercadolocal" => "' . $data[12] . '"<br>';
            echo '  "liquidacionremotecode" => "' . $data[13] . '"<br>';
            */
            
        }

    }



    
}
//echo ");";
//echo $count;
$isins = implode(",", $isinarray);

if($count < 1){
    echo '<div id="errorisin">La Clave ISIN no fue encontrada. Verifique e intente nuevamente.</div>';
    exit();
}
else{


    foreach($csv2 as $location2 => $data2)
    {
        $tipovalor2 = $data2[0];
        
        if (strpos($tipovalor2, $tipovalor) !== false) {
            $descripciontv = $data2[1];
            $subdivisionmercado = $data2[2];
            $admonmercado = $data2[3];
            $tipoejecucion = $data2[4];
        }
        else{
        }


        
        
    
    }

    if($subdivisionmercado == "Mercado de Capitales Extranjero"){
        $qtytype = "Unidades (Títulos)";
    }
    if($subdivisionmercado == "Mercado de Deuda Extranjero"){
        $qtytype = "Face Amount (Valor Nominal)";
    }
    if($subdivisionmercado != "Mercado de Deuda Extranjero" && $subdivisionmercado != "Mercado de Capitales Extranjero"){
        $qtytype = "Revisar con Equipo de Operaciones Internacional";
    }
?>

    <div id="datosisin">

    <div id ="printable">
        
        <h4>Información de la Emisión</h4>
            <p><b>Tipo de Valor:</b> <?php echo $tipovalor; ?></p>
            <p><b>Emisiora:</b> <?php echo $emisora; ?></p>
            <p><b>Serie:</b> <?php echo $serie; ?></p>
            <p><b>ISIN:</b> <?php echo $q; ?></p>

            <p><b>Valor Nominal:</b> <?php echo $valornominal; ?></p>
            <p><b>Custodio Internacional:</b> <?php echo $custodio; ?></p>
            <p><b>Descripción Tipo de Valor:</b> <?php echo $descripciontv; ?></p>
            <p><b>Tipo de Mercado:</b> <?php echo $subdivisionmercado; ?></p>
            <p><b>Razón Social:</b> <?php echo $razonsocial; ?> </p>


            
        <h4 style="margin-top:40px;">Información de Liquidación</h4>

            <p><b>Múltiplo Operable:</b> <?php echo $multiplooperable; ?></p>
            <p><b>Monto Mínimo Operable:</b> <?php echo $montominimooperable; ?></p>
            <p><b>Quantity type:</b> <?php echo $qtytype;?></p>
            <p><b>Mercado/Depositario Primario de liquidación:</b> <?php echo $mercadodepositario; ?></p>

            <p><b>Operaciones Bridge:</b> <?php echo $operacionesbridge; ?></p>
            <p><b>Mercado Local:</b> <?php echo $mercadolocal; ?></p>
            <p><b>Liquidación por medio de un Remote Code:</b> <?php echo $liquidacionremotecode; ?></p>
            
            <p><b>Stamp Duty:</b> <?php echo $stampduty; ?> </p>
        </div>

        <div class="buttonsform" >
            <div  class="cellBtnPreview contPreview">
                <input class="btnGral" name="btnPreview" type="button" id="btnOtro" value="<?php echo $btnbuscarotro;?>" onClick="buscarOtro();" />
            </div>
            <div class="cellBtnReset contReset">
                <input class="btnGral" type="reset" name="btnReset" id="btnPrint" value="<?php echo $btnpdf;?>" />
            </div>
        </div>
            
    </div>

        <!-- printThis -->

        <script type="text/javascript" src="https://indeval.trafikatest.com/assets/printThis/printThis.js"></script>
        <script>
        $('#btnPrint').on("click", function () {
            $('#printable').printThis({
                header: "<img src='<?php echo $base_url;?>assets/img/logo_indeval.PNG' style='float:right; width:180px;'><br> <br><h1 style='display:inline-block; width:100%;'><b style='color:#222;'>ISIN</b>: <?php echo $q;?></h1><br><br><br>"
            });
        });
        </script>

        

<?php 
}
?>